com.sun.jna.platform.win32

## Enum Winevt.EVT_VARIANT_TYPE

- java.lang.Object
- - java.lang.Enum<Winevt.EVT_VARIANT_TYPE>
  - - com.sun.jna.platform.win32.Winevt.EVT_VARIANT_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Winevt.EVT_VARIANT_TYPE>

Enclosing interface:
  Winevt

    public static enum Winevt.EVT_VARIANT_TYPE
    extends java.lang.Enum<Winevt.EVT_VARIANT_TYPE>

Defines the possible data types of a variant data item. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385616(v=vs.85).aspx

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EvtVarTypeAnsiString` A null-terminated ANSI string.
`EvtVarTypeBinary` A hexadecimal binary value.
`EvtVarTypeBoolean` A Boolean value.
`EvtVarTypeByte` An unsigned 8-bit integer value.
`EvtVarTypeDouble` A double-precision real value.
`EvtVarTypeEvtHandle` An EVT_HANDLE value.
`EvtVarTypeEvtXml` A null-terminated Unicode string that contains XML.
`EvtVarTypeFileTime` A FILETIME value.
`EvtVarTypeGuid` A GUID value.
`EvtVarTypeHexInt32` A 32-bit hexadecimal number.
`EvtVarTypeHexInt64` A 64-bit hexadecimal number.
`EvtVarTypeInt16` An signed 16-bit integer value.
`EvtVarTypeInt32` A signed 32-bit integer value.
`EvtVarTypeInt64` A signed 64-bit integer value.
`EvtVarTypeNull` Null content that implies that the element that contains the content does not exist.
`EvtVarTypeSByte` A signed 8-bit integer value.
`EvtVarTypeSid` A security identifier (SID) structure
`EvtVarTypeSingle` A single-precision real value.
`EvtVarTypeSizeT` An unsigned 32-bit or 64-bit integer value that contains a pointer address.
`EvtVarTypeString` A null-terminated Unicode string.
`EvtVarTypeSysTime` A SYSTEMTIME value.
`EvtVarTypeUInt16` An unsigned 16-bit integer value.
`EvtVarTypeUInt32` An unsigned 32-bit integer value.
`EvtVarTypeUInt64` An unsigned 64-bit integer value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getArrField()`
`java.lang.String` `getField()`
`static Winevt.EVT_VARIANT_TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Winevt.EVT_VARIANT_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EvtVarTypeNull

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeNull

Null content that implies that the element that contains the content does not exist.

#### EvtVarTypeString

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeString

A null-terminated Unicode string.

#### EvtVarTypeAnsiString

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeAnsiString

A null-terminated ANSI string.

#### EvtVarTypeSByte

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeSByte

A signed 8-bit integer value.

#### EvtVarTypeByte

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeByte

An unsigned 8-bit integer value.

#### EvtVarTypeInt16

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeInt16

An signed 16-bit integer value.

#### EvtVarTypeUInt16

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeUInt16

An unsigned 16-bit integer value.

#### EvtVarTypeInt32

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeInt32

A signed 32-bit integer value.

#### EvtVarTypeUInt32

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeUInt32

An unsigned 32-bit integer value.

#### EvtVarTypeInt64

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeInt64

A signed 64-bit integer value.

#### EvtVarTypeUInt64

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeUInt64

An unsigned 64-bit integer value.

#### EvtVarTypeSingle

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeSingle

A single-precision real value.

#### EvtVarTypeDouble

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeDouble

A double-precision real value.

#### EvtVarTypeBoolean

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeBoolean

A Boolean value.

#### EvtVarTypeBinary

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeBinary

A hexadecimal binary value.

#### EvtVarTypeGuid

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeGuid

A GUID value.

#### EvtVarTypeSizeT

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeSizeT

An unsigned 32-bit or 64-bit integer value that contains a pointer address.

#### EvtVarTypeFileTime

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeFileTime

A FILETIME value.

#### EvtVarTypeSysTime

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeSysTime

A SYSTEMTIME value.

#### EvtVarTypeSid

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeSid

A security identifier (SID) structure

#### EvtVarTypeHexInt32

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeHexInt32

A 32-bit hexadecimal number.

#### EvtVarTypeHexInt64

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeHexInt64

A 64-bit hexadecimal number.

#### EvtVarTypeEvtHandle

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeEvtHandle

An EVT_HANDLE value.

#### EvtVarTypeEvtXml

    public static final Winevt.EVT_VARIANT_TYPE EvtVarTypeEvtXml

A null-terminated Unicode string that contains XML.

### Method Detail

#### values

    public static Winevt.EVT_VARIANT_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Winevt.EVT_VARIANT_TYPE c : Winevt.EVT_VARIANT_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Winevt.EVT_VARIANT_TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getField

    public java.lang.String getField()

#### getArrField

    public java.lang.String getArrField()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.